complexType "CommodityPhysicalQuantitySchedule"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityStep+, (deliveryPeriodsReference | deliveryPeriodsScheduleReference)
</...>

Content Model Elements (3):

  deliveryPeriodsReference, deliveryPeriodsScheduleReference, quantityStep

Known Direct Subtypes (1):

  ElectricityPhysicalDeliveryQuantitySchedule

All Direct / Indirect Based Elements (2):

  physicalQuantitySchedule (defined in CommodityFixedPhysicalQuantity.model group),
  physicalQuantitySchedule (in deliveryQuantity in electricityPhysicalLeg)

Known Usage Locations

- In derivations of other global types (1):
  ElectricityPhysicalDeliveryQuantitySchedule (as extension base)
- As direct type of elements (1):
  physicalQuantitySchedule (defined in CommodityFixedPhysicalQuantity.model group)

Annotation
The Quantity per Delivery Period. There must be a Quantity step specified for each Delivery Period, regardless of whether the Quantity changes or remains the same between periods.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityPhysicalQuantitySchedule"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="quantityStep" type="CommodityNotionalQuantity"/> <xsd:group ref="CommodityDeliveryPeriodsPointer.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/3)
quantityStep

  Type: | CommodityNotionalQuantity, complex content

  The quantity per Calculation Period. There must be a quantity specified for each Calculation Period, regardless of whether the quantity changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="quantityStep" type="CommodityNotionalQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.